#include <stdio.h>
#include <pthread.h>

static pthread_mutex_t mutex;
static int item = 0;

void init_w(int maxx, int maxy)
{
    setlinebuf(stdout);
    pthread_mutex_init(&mutex, NULL);
    printf("canvas .jo -relief raised -width %d -height %d\n", maxx, maxy);
    printf("pack .jo\n");
}

void close_w(char *msg, int x, int y)
{
    pthread_mutex_lock(&mutex);
    printf(".jo create text %d %d -text \"%s\"\n", x, y, msg);
    sleep(10);
    printf("exit\n");
    fclose(stdout);
    pthread_mutex_unlock(&mutex);
}

int create_obj_w(int x, int y, int gordo, char *type, char *color)
{
    int res;

    pthread_mutex_lock(&mutex);
    if(strcmp(type, "text") == 0) 
    printf(".jo create text %d %d -text %s\n", x, y, color);
    else
    printf(".jo create %s %d %d %d %d -fill %s\n", type, x, y, x+gordo, y+gordo, color);
    res = ++item;
    pthread_mutex_unlock(&mutex);
    return(res);
}

void delete_w(int item) {
    pthread_mutex_lock(&mutex);
    printf(".jo delete %d\n", item);
    pthread_mutex_unlock(&mutex);
}

void move_w(int item, int dx, int dy)
{
    pthread_mutex_lock(&mutex);
    printf(".jo move %d %d %d\n", item, dx, dy);
    pthread_mutex_unlock(&mutex);
}

void coords_w(int item, int x, int y, int gordo)
{
    pthread_mutex_lock(&mutex);
    printf(".jo coords %d %d %d %d %d\n", item, x, y, x+gordo, y+gordo);
    pthread_mutex_unlock(&mutex);
}
