/*
 * tunnel.h -- definitions for the char module
 *
 * Copyright (C) 2001 Alessandro Rubini and Jonathan Corbet
 * Copyright (C) 2001 O'Reilly & Associates
 *
 * The source code in this file can be freely used, adapted,
 * and redistributed in source or binary form, so long as an
 * acknowledgment appears in derived source files.  The citation
 * should list that the code comes from the book "Linux Device
 * Drivers" by Alessandro Rubini and Jonathan Corbet, published
 * by O'Reilly & Associates.   No warranty is attached;
 * we cannot take responsibility for errors or fitness for use.
 *
 * $Id: jbox.h,v 1.15 2004/11/04 17:51:18 rubini Exp $
 */

#ifndef _TUNNEL_H_
#define _TUNNEL_H_

#include <linux/ioctl.h> /* needed for the _IOW etc stuff used later */

/* status */
#define TUNNEL_NOTUSED 0
#define TUNNEL_FULL 1
#define TUNNEL_EMPTY 2

#define TUN_MAX_PRIORS 16
#define TUNNEL_SIZE 20

/*
 * Ioctl definitions
 */

/* Use 't' as magic number */
#define TUNNEL_IOC_MAGIC  't'
/* Please use a different 8-bit number in your code */

#define TUNNEL_IOCRESET    _IO(TUNNEL_IOC_MAGIC, 0)
#define TUNNEL_IOCSSIZE    _IOW(TUNNEL_IOC_MAGIC, 1, int)
#define TUNNEL_IOCGSIZE    _IOR(TUNNEL_IOC_MAGIC, 2, int)
#define TUNNEL_IOCWAIT     _IOWR(TUNNEL_IOC_MAGIC, 3, int)

/* ... more to come */

#define TUNNEL_IOC_MAXNR 4

#endif /* _TUNNEL_H_ */
